Subject: [JGIT] Re: blinking test WindowCacheGetTest.testCache_TooSmallLimit

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 24 Jul 2009 15:51:18 -0700

Constantine Plotnikov <[email-masked]> wrote:
> The test WindowCacheGetTest.testCache_TooSmallLimit sometimes fails
> (on less than third of runs on Windows) with the following stacktrace:
> 
> junit.framework.AssertionFailedError
> at junit.framework.Assert.fail(Assert.java:47)
> at junit.framework.Assert.assertTrue(Assert.java:20)
> at junit.framework.Assert.assertTrue(Assert.java:27)
> at org.spearce.jgit.lib.WindowCacheGetTest.checkLimits(WindowCacheGetTest.java:112)
> at org.spearce.jgit.lib.WindowCacheGetTest.testCache_TooSmallLimit(WindowCacheGetTest.java:106)
> 
> This happens on Windows and Linux, but I do not know about
> frequency on Linux.

I'd say the frequency on Linux is about 1/6 for me.  I have yet to
be bothered enough to track it down, but its starting to get there.
Maybe I'll try to look at it tomorrow.

-- 
Shawn.